import React from "react";
import * as RnCss from "@tecnavia/react-native-css";

const { Consumer, Provider } = RnCss.default;

function Css(props) {
    return <Consumer {...props} />;
}

const CssHelper = {
    flatten: RnCss.CssHelper.flatten,
    getStyleObjByCssClasses: RnCss.CssHelper.getStyleObj,
    setWindowSize: (window) => RnCss.default.set({ window }),
    get: () => RnCss.default.get().state,
    set: (state) => RnCss.default.set(state)
};

export { Css, Provider, CssHelper };
