import React from "react";
import EditionCardItemWithIcons from "./edition-card-item-with-icons";

/**
 * component that disable touch on entire item
 * @param {*} props
 * @returns
 */
function EditionNotTouchableItem(props) {
    return <EditionCardItemWithIcons {...props} isTouchable={false} />;
}

EditionNotTouchableItem.propTypes = {
    ...EditionCardItemWithIcons.propTypes
};

EditionNotTouchableItem.defaultProps = {
    ...EditionCardItemWithIcons.defaultProps
};

export { EditionNotTouchableItem };
