import React from "react";
import PropTypes from "prop-types";
import { View } from "react-native";
import { colors } from "../../utils/colors";
import styles from "./buttons.styles";
import { Css } from "../Css/css";

function PlaceHolderButton(props) {
    const { backgroundColor } = props;
    return (
        <Css classes={["opt-placeholder"]}>
            <View style={[styles.button, { backgroundColor }]} />
        </Css>
    );
}

PlaceHolderButton.propTypes = {
    backgroundColor: PropTypes.string
};

PlaceHolderButton.defaultProps = {
    backgroundColor: colors.white
};

export default PlaceHolderButton;
