export default class Message {
    #_data;
    #_origin;
    #_lastEventId;

    constructor(e = {}) {
        const { data, origin, lastEventId } = e;
        this.#_data = data;
        this.#_origin = origin;
        this.#_lastEventId = lastEventId;
    }

    getData(): String {
        return this.#_data;
    }

    setData(value: String) {
        this.#_data = value;
    }

    getOrigin(): String {
        return this.#_origin;
    }

    setOrigin(value: String) {
        this.#_origin = value;
    }

    getLastEventId(): String {
        return this.#_lastEventId;
    }

    setLastEventId(value: String) {
        this.#_lastEventId = value;
    }
}
