import Edition from "./edition";
import Route from "./route";

export default class RouteEdition extends Route {
    #_edition: Edition;
    #_label: String;

    setEdition(value: Edition) {
        this.#_edition = value;
    }

    getEdition(): Edition {
        return this.#_edition;
    }

    setLabel(value: String) {
        this.#_label = value;
    }

    getLabel(): String {
        return this.#_label;
    }

    getText() {
        return this.getLabel();
    }

    toJson() {
        return {
            ...super.toJson(),
            edition: this.#_edition,
            label: this.#_label
        };
    }
}
