import RouteEdition from "./route-edition";

export default class RouteEditionsDate extends RouteEdition {
    /**
     * 0 means latest issue inside array (more recent)
     */
    #_issueDayIndex: Number = 0;
    #_fixed: Boolean = true;

    setIssueDayIndex(value: Number) {
        this.#_issueDayIndex = value;
    }

    getIssueDayIndex(): Number {
        return this.#_issueDayIndex;
    }

    setFixed(value: Boolean) {
        this.#_fixed = value;
    }

    isFixed(): Boolean {
        return this.#_fixed;
    }

    toJson() {
        return {
            ...super.toJson(),
            issueDayIndex: this.#_issueDayIndex,
            fixed: this.#_fixed
        };
    }
}
