import Route from "./route";

export default class RouteLabeled extends Route {
    #_label: String;

    setLabel(value: String) {
        this.#_label = value;
    }

    getLabel(): String {
        return this.#_label;
    }

    getText(): String {
        return this.getLabel();
    }

    toJson() {
        return {
            ...super.toJson(),
            label: this.#_label
        };
    }
}
