import { StyleSheet } from "react-native";
import { colors } from "../../utils/colors";

export default StyleSheet.create({
    container: {
        alignItems: "center",
        backgroundColor: colors.background
    },
    hContainer: {
        flexDirection: "row"
    },
    other: {
        width: "100%",
        alignItems: "center"
    },
    dayContainer: {
        flex: 0,
        width: "100%",
        alignItems: "center",
        backgroundColor: colors.background,
        paddingBottom: 10
    },
    list: {
        alignItems: "center"
    },
    dayText: {
        fontSize: 18,
        textTransform: "uppercase"
    },
    issuesContainer: {
        width: "100%",
        marginBottom: 20
    },
    mainIssueContainer: {
        alignItems: "center",
        paddingHorizontal: 10,
        marginBottom: 30
    },
    mainIssue: {},
    mainIssueImage: {},
    mainIssueImageContainer: { overflow: "hidden" },
    insertsContainer: {},
    otherIssue: { flex: 1 },
    otherIssueImageContainer: {},
    otherIssueImage: {},
    otherIssueFooter: { backgroundColor: colors.grey50 }
});
