module.exports = (api) => {
    api.cache(true);
    return {
        presets: ["module:metro-react-native-babel-preset"],
        plugins: [
            [
                "babel-plugin-transform-remove-imports",
                {
                    test: "\\.(less|css)$"
                }
            ],
            [
                "@babel/plugin-proposal-private-methods",
                {
                    loose: true
                }
            ]
        ]
    };
};
