import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import LiveConfig from "../../data/live-config";
import { colors } from "../../utils/colors";

const styles = StyleSheet.create({
    container: {
        width: "100%"
    }
});

function EditionDayBg(props) {
    const { height } = props;
    return (
        <View style={[styles.container, { backgroundColor: LiveConfig.getSupportColor(), height }]}>
            <View style={{ backgroundColor: colors.transparent1200, flex: 1 }} />
        </View>
    );
}

EditionDayBg.propTypes = {
    height: PropTypes.number
};

EditionDayBg.defaultProps = {
    height: 0
};

export default EditionDayBg;
