import React from "react";
import { commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueFlatItem(props) {
    const { style = {}, ...rest } = props;

    return <IssueItem {...rest} cssPrefix="flat" style={[commonStyles.container, commonStyles.margin, style]} />;
}

IssueFlatItem.propTypes = IssueItem.propTypes;

export default IssueFlatItem;
