import { CARD_RADIUS } from "../components/Css/common-styles";
import Logger from "../utils/log";

function init({ supportColor, textColor }) {
    try {
        const root = document.documentElement;
        root.style.setProperty("--support-color", supportColor);
        root.style.setProperty("--text-color", textColor);
        root.style.setProperty("--radius", CARD_RADIUS);
    } catch (e) {
        Logger.warn(e.message);
    }
}

export { init };
