import RouteLabeled from "./route-labeled";

export default class RouteAction extends RouteLabeled {
    #_action: String;

    setAction(value: String) {
        this.#_action = value;
    }

    getAction(): String {
        return this.#_action;
    }

    toJson() {
        return {
            ...super.toJson(),
            action: this.#_action
        };
    }
}
