import Route from "./route";

class RouteHeader extends Route {
    #_header: String;

    constructor(header) {
        super();
        this.#_header = header;
    }

    setHeader(value: String) {
        this.#_header = value;
    }

    getHeader(): String {
        return this.#_header;
    }

    getText(): String {
        return this.getHeader();
    }
}

export default RouteHeader;
