import Route from "./route";

class RouteTabs extends Route {
    #_label: String;
    #_initialRouteName: String;

    constructor(label) {
        super();
        this.#_label = label;
    }

    getLabel(): String {
        return this.#_label;
    }

    setLabel(value: String) {
        this.#_label = value;
    }

    getText(): String {
        return this.getLabel();
    }

    getInitialRouteName(): String {
        return this.#_initialRouteName;
    }

    setInitialRouteName(value: String) {
        this.#_initialRouteName = value;
    }

    toJson() {
        return {
            ...super.toJson(),
            label: this.#_label
        };
    }
}

export default RouteTabs;
