import RouteLabeled from "./route-labeled";

export default class RouteUrl extends RouteLabeled {
    #_url: String;
    #_target: String;

    setUrl(value: String) {
        this.#_url = value;
    }

    getUrl(): String {
        return this.#_url;
    }

    setTarget(value: String) {
        this.#_target = value;
    }

    getTarget(): String {
        return this.#_target;
    }

    toJson() {
        return {
            ...super.toJson(),
            url: this.#_url,
            target: this.#_target
        };
    }
}
