/* eslint-disable import/no-extraneous-dependencies */
const { merge } = require("webpack-merge");
const babelLoader = require("./webpack.babel");
const common = require("./webpack.common");

module.exports = merge(common, {
    mode: "development",
    devtool: "eval-source-map",
    devServer: {
        port: 9000,
        //open: true,
        client: {
            progress: true
        }
    },
    stats: {
        colors: true,
        modules: true,
        reasons: true,
        errorDetails: true
    },
    module: {
        rules: [babelLoader()]
    }
});
